Package: org.apache.groovy.contracts.common.base

## [Java] Class BaseLifecycle

- org.apache.groovy.contracts.common.base.BaseLifecycle

- All Implemented Interfaces and Traits:
    Lifecycle

      public abstract class BaseLifecycle
      extends Object
      implements Lifecycle

  Base implementation class for interface Lifecycle. This class is supposed tp be extended by Lifecycle implementation classes and provides empty method bodies for all interface methods.

  See Also:
    Lifecycle

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public void` | `afterProcessingClassNode(ProcessingContextInformation processingContextInformation, ClassNode classNode)` No-op default hook invoked after class-level contract processing completes.
    `` | `public void` | `afterProcessingConstructorNode(ProcessingContextInformation processingContextInformation, ClassNode classNode, MethodNode constructorNode)` No-op default hook invoked after a constructor is processed.
    `` | `public void` | `afterProcessingMethodNode(ProcessingContextInformation processingContextInformation, ClassNode classNode, MethodNode methodNode)` No-op default hook invoked after a method is processed.
    `` | `public void` | `beforeProcessingClassNode(ProcessingContextInformation processingContextInformation, ClassNode classNode)` No-op default hook invoked before class-level contract processing begins.
    `` | `public void` | `beforeProcessingConstructorNode(ProcessingContextInformation processingContextInformation, ClassNode classNode, MethodNode constructorNode)` No-op default hook invoked before a constructor is processed.
    `` | `public void` | `beforeProcessingMethodNode(ProcessingContextInformation processingContextInformation, ClassNode classNode, MethodNode methodNode)` No-op default hook invoked before a method is processed.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### public void afterProcessingClassNode(ProcessingContextInformation processingContextInformation, ClassNode classNode)

      No-op default hook invoked after class-level contract processing completes.

      Parameters:
        `processingContextInformation` - the shared processing context
        `classNode` - the class that was processed

    - #### public void afterProcessingConstructorNode(ProcessingContextInformation processingContextInformation, ClassNode classNode, MethodNode constructorNode)

      No-op default hook invoked after a constructor is processed.

      Parameters:
        `processingContextInformation` - the shared processing context
        `classNode` - the declaring class
        `constructorNode` - the processed constructor

    - #### public void afterProcessingMethodNode(ProcessingContextInformation processingContextInformation, ClassNode classNode, MethodNode methodNode)

      No-op default hook invoked after a method is processed.

      Parameters:
        `processingContextInformation` - the shared processing context
        `classNode` - the declaring class
        `methodNode` - the processed method

    - #### public void beforeProcessingClassNode(ProcessingContextInformation processingContextInformation, ClassNode classNode)

      No-op default hook invoked before class-level contract processing begins.

      Parameters:
        `processingContextInformation` - the shared processing context
        `classNode` - the class about to be processed

    - #### public void beforeProcessingConstructorNode(ProcessingContextInformation processingContextInformation, ClassNode classNode, MethodNode constructorNode)

      No-op default hook invoked before a constructor is processed.

      Parameters:
        `processingContextInformation` - the shared processing context
        `classNode` - the declaring class
        `constructorNode` - the constructor about to be processed

    - #### public void beforeProcessingMethodNode(ProcessingContextInformation processingContextInformation, ClassNode classNode, MethodNode methodNode)

      No-op default hook invoked before a method is processed.

      Parameters:
        `processingContextInformation` - the shared processing context
        `classNode` - the declaring class
        `methodNode` - the method about to be processed